summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net-misc/lanmap/ChangeLog19
-rw-r--r--net-misc/lanmap/Manifest5
-rw-r--r--net-misc/lanmap/files/makefile.patch24
-rw-r--r--net-misc/lanmap/lanmap-81-r2.ebuild38
-rw-r--r--net-misc/lanmap/metadata.xml10
5 files changed, 96 insertions, 0 deletions
diff --git a/net-misc/lanmap/ChangeLog b/net-misc/lanmap/ChangeLog
new file mode 100644
index 000000000..490c6089f
--- /dev/null
+++ b/net-misc/lanmap/ChangeLog
@@ -0,0 +1,19 @@
+# ChangeLog for net-misc/lanmap
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 06 Dec 2008; Justin Lecher (jlec) <jlec@j-schmitz.net>
+ +lanmap-81-r2.ebuild, +files/makefile.patch, +metadata.xml:
+ New Ebuild for bug 249631 - Checking in at sunrise
+
+ 03 Dec 2008; justin Lecher <justin@j-schmitz.net> files/makefile.patch,
+ +lanmap-81-r2.ebuild:
+ reviewed version to submitt in sunrise
+
+ 02 Dec 2008; Justin Lecher <justin@j-schmitz.net> lanmap-81.ebuild:
+ Bug 249631 submitted
+
+ 02 Dec 2008; justin Lecher <justin@j-schmitz.net> +metadata.xml,
+ +lanmap-81.ebuild:
+ Setup net-misc/lanmap
+
diff --git a/net-misc/lanmap/Manifest b/net-misc/lanmap/Manifest
new file mode 100644
index 000000000..f4cef698b
--- /dev/null
+++ b/net-misc/lanmap/Manifest
@@ -0,0 +1,5 @@
+AUX makefile.patch 830 RMD160 1361171e8ecf0013ab7a116d8bf11b5e5d9cd432 SHA1 09ac923aefde2f17fc9bbffa18b009c1a0d3dbae SHA256 1b7c16823213a9fa1c27e17002e0cd911956ed2a168577b625c3addb24998256
+DIST lanmap-2006-03-07-rev81.zip 856061 RMD160 1d4c390662db16af0b52836e5a27931906765e15 SHA1 5961b7cb24bc4ae1212b92cb4968f87914e58178 SHA256 072e71aa3a641d27981a570b0f1e8c82ec1c8864374c7aa68f5e847e6b265127
+EBUILD lanmap-81-r2.ebuild 739 RMD160 c2959bfff30efebddc558a633a50017c22bbfe3f SHA1 0e995a336857df9452db16f4cf9b0c1a4c1e479d SHA256 d27268038b36734ee46db8d55bf94be3130984aee878df6b54702d9e096970bb
+MISC ChangeLog 636 RMD160 44b67b6aadb0c9f9c8f0c454e1ab95754ed7052e SHA1 65981a622cc4628cacf20b53c00fc93b232a1a6e SHA256 2b3e5977f6f95fd609b688974705e1c32d85edb2306099f8d1c5ef509c82820a
+MISC metadata.xml 268 RMD160 adbf63d25b16c6d9199c20ab0092b9a75a851605 SHA1 ffc9c0fba9a923d9ba5326283b60c31573888cf3 SHA256 6a8f1e47a14b8730b4a7ba9e0f0055ab4d6071ebcaf12bb601e8b949223c0c7f
diff --git a/net-misc/lanmap/files/makefile.patch b/net-misc/lanmap/files/makefile.patch
new file mode 100644
index 000000000..e2b51c127
--- /dev/null
+++ b/net-misc/lanmap/files/makefile.patch
@@ -0,0 +1,24 @@
+--- lanmap/src/Makefile.in 2006-03-07 15:44:32.000000000 +0100
++++ lanmap/src/Makefile.in.new 2008-12-02 16:08:13.000000000 +0100
+@@ -2,8 +2,8 @@
+ # $Id$
+
+ # complation
+-CFLAGS = -W -Wall -Wno-unused -DLINUX -DLANMAP_DATADIR=$(LANMAP_DATADIR)
+-LDFLAGS = -lpcap -lm
++CFLAGS += -DLINUX -DLANMAP_DATADIR=$(LANMAP_DATADIR)
++LDFLAGS += -lpcap -lm
+ CFLAGS_DEBUG = -D_DEBUG -ggdb
+ LDFLAGS_DEBUG = -pg
+ BINARY = lanmap
+--- lanmap/Makefile.in 2008-12-03 14:40:22.000000000 +0100
++++ lanmap/Makefile.in.new 2008-12-03 14:40:33.000000000 +0100
+@@ -13,7 +13,7 @@
+ cd ./src && make LANMAP_DATADIR="$(DATADEST)"
+
+ install:
+- install -m 0755 ./src/$(BINARY) $(BINDEST)
++ install -m 0755 -D ./src/$(BINARY) $(BINDEST)/$(BINARY)
+ install -m 0755 -d $(DATADEST)
+ install -m 0755 -d $(DATADEST)data/
+ install -m 0755 -d $(DATADEST)data/graph/
diff --git a/net-misc/lanmap/lanmap-81-r2.ebuild b/net-misc/lanmap/lanmap-81-r2.ebuild
new file mode 100644
index 000000000..686bf143a
--- /dev/null
+++ b/net-misc/lanmap/lanmap-81-r2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit toolchain-funcs eutils
+
+DESCRIPTION="lanmap sits quietly on a network and builds a picture of what it sees"
+HOMEPAGE="http://www.parseerror.com/lanmap"
+SRC_URI="http://www.parseerror.com/${PN}/rev/${PN}-2006-03-07-rev${PV}.zip"
+
+LICENSE="GPL-2"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE=""
+RDEPEND="net-libs/libpcap
+ media-gfx/graphviz[png]"
+
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}"/${PN}
+
+src_prepare() {
+ chmod +x configure
+ epatch "${FILESDIR}"/makefile.patch
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" || die
+}
+
+src_install() {
+ emake prefix="${D}"/usr install || die
+ dodoc {README,TODO}.txt || die
+}
diff --git a/net-misc/lanmap/metadata.xml b/net-misc/lanmap/metadata.xml
new file mode 100644
index 000000000..62373450c
--- /dev/null
+++ b/net-misc/lanmap/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>maintainer-wanted</herd>
+ <maintainer>
+ <email>justin@j-schmitz.net</email>
+ <name>Justin Lecher</name>
+ </maintainer>
+</pkgmetadata>
+